Subject: Re: [bug#45977] [PATCH 0/1] gnu: guile-redis: Update to 2.0.0.

From: Bonface Munyoki K. <[email-masked]>
Date: Wed, 20 Jan 2021 09:47:20 +0300

Efraim Flashner <[email-masked]> writes:

> On Tue, Jan 19, 2021 at 01:39:25AM +0300, BonfaceKilz wrote:
>> Hi! Find attached an update to guile-redis that adds proper support for Redis
>> Pub/Sub.
>> 
>> BonfaceKilz (1):
>>   gnu: guile-redis: Update to 2.0.0.
>> 
>>  gnu/packages/guile-xyz.scm | 5 +++--
>>  1 file changed, 3 insertions(+), 2 deletions(-)
>> 
>
> This update breaks guile2.0-redis. The configure script still checks for
> 2.0 so I'm not sure if that's intentional. Can you look into it?
>

Yep. Let me dig into it.

> Alternatively, I'm not seeing guile2.0-redis used by any packages in
> guix, but I'm not sure about just dropping it.

Let's not drop it just yet...
-- 
Bonface M. K. D4F09EB110177E03C28E2FE1F5BBAE1E0392253F
Humble GNU Emacs User / Bearer of scheme-y parens
Curator: <https://upbookclub.com> / Twitter: @BonfaceKilz